7.8
Advisory Published
Updated

CVE-2023-22995

First published: Tue Feb 28 2023(Updated: )

In the Linux kernel before 5.17, an error path in dwc3_qcom_acpi_register_core in drivers/usb/dwc3/dwc3-qcom.c lacks certain platform_device_put and kfree calls.

Credit: cve@mitre.org cve@mitre.org

Affected SoftwareAffected VersionHow to fix
Linux Linux kernel<5.17
ubuntu/linux<5.4.0-173.191
5.4.0-173.191
ubuntu/linux<5.15.0-100.110
5.15.0-100.110
ubuntu/linux<5.17~
5.17~
ubuntu/linux-aws<5.4.0-1120.130
5.4.0-1120.130
ubuntu/linux-aws<5.15.0-1056.61
5.15.0-1056.61
ubuntu/linux-aws<5.17~
5.17~
ubuntu/linux-aws-5.0<5.17~
5.17~
ubuntu/linux-aws-5.15<5.15.0-1056.61~20.04.1
5.15.0-1056.61~20.04.1
ubuntu/linux-aws-5.15<5.17~
5.17~
ubuntu/linux-aws-5.4<5.4.0-1120.130~18.04.1
5.4.0-1120.130~18.04.1
ubuntu/linux-aws-5.4<5.17~
5.17~
ubuntu/linux-aws-6.5<5.17~
5.17~
ubuntu/linux-aws-hwe<5.17~
5.17~
ubuntu/linux-azure<5.4.0-1126.133
5.4.0-1126.133
ubuntu/linux-azure<5.15.0-1058.66
5.15.0-1058.66
ubuntu/linux-azure<5.17~
5.17~
ubuntu/linux-azure-4.15<5.17~
5.17~
ubuntu/linux-azure-5.15<5.15.0-1058.66~20.04.2
5.15.0-1058.66~20.04.2
ubuntu/linux-azure-5.15<5.17~
5.17~
ubuntu/linux-azure-5.4<5.4.0-1126.133~18.04.1
5.4.0-1126.133~18.04.1
ubuntu/linux-azure-5.4<5.17~
5.17~
ubuntu/linux-azure-6.5<5.17~
5.17~
ubuntu/linux-azure-edge<5.17~
5.17~
ubuntu/linux-azure-fde<5.15.0-1058.66.1
5.15.0-1058.66.1
ubuntu/linux-azure-fde<5.17~
5.17~
ubuntu/linux-azure-fde-5.15<5.15.0-1058.66~20.04.2.1
5.15.0-1058.66~20.04.2.1
ubuntu/linux-azure-fde-5.15<5.17~
5.17~
ubuntu/linux-bluefield<5.4.0-1080.87
5.4.0-1080.87
ubuntu/linux-bluefield<5.17~
5.17~
ubuntu/linux-dell300x<5.17~
5.17~
ubuntu/linux-fips<5.17~
5.17~
ubuntu/linux-gcp<5.4.0-1124.133
5.4.0-1124.133
ubuntu/linux-gcp<5.15.0-1053.61
5.15.0-1053.61
ubuntu/linux-gcp<5.17~
5.17~
ubuntu/linux-gcp-4.15<5.17~
5.17~
ubuntu/linux-gcp-5.15<5.15.0-1053.61~20.04.1
5.15.0-1053.61~20.04.1
ubuntu/linux-gcp-5.15<5.17~
5.17~
ubuntu/linux-gcp-5.4<5.4.0-1124.133~18.04.1
5.4.0-1124.133~18.04.1
ubuntu/linux-gcp-5.4<5.17~
5.17~
ubuntu/linux-gcp-6.5<5.17~
5.17~
ubuntu/linux-gke<5.15.0-1052.57
5.15.0-1052.57
ubuntu/linux-gke<5.17~
5.17~
ubuntu/linux-gke-4.15<5.17~
5.17~
ubuntu/linux-gke-5.0<5.17~
5.17~
ubuntu/linux-gke-5.15<5.17~
5.17~
ubuntu/linux-gke-5.4<5.17~
5.17~
ubuntu/linux-gkeop<5.4.0-1087.91
5.4.0-1087.91
ubuntu/linux-gkeop<5.15.0-1038.44
5.15.0-1038.44
ubuntu/linux-gkeop<5.17~
5.17~
ubuntu/linux-gkeop-5.15<5.15.0-1038.44~20.04.1
5.15.0-1038.44~20.04.1
ubuntu/linux-gkeop-5.15<5.17~
5.17~
ubuntu/linux-gkeop-5.4<5.17~
5.17~
ubuntu/linux-hwe<5.17~
5.17~
ubuntu/linux-hwe-5.15<5.15.0-100.110~20.04.1
5.15.0-100.110~20.04.1
ubuntu/linux-hwe-5.15<5.17~
5.17~
ubuntu/linux-hwe-5.4<5.4.0-173.191~18.04.1
5.4.0-173.191~18.04.1
ubuntu/linux-hwe-5.4<5.17~
5.17~
ubuntu/linux-hwe-6.5<5.17~
5.17~
ubuntu/linux-hwe-edge<5.17~
5.17~
ubuntu/linux-ibm<5.4.0-1067.72
5.4.0-1067.72
ubuntu/linux-ibm<5.15.0-1048.51
5.15.0-1048.51
ubuntu/linux-ibm<5.17~
5.17~
ubuntu/linux-ibm-5.15<5.15.0-1048.51~20.04.1
5.15.0-1048.51~20.04.1
ubuntu/linux-ibm-5.15<5.17~
5.17~
ubuntu/linux-ibm-5.4<5.4.0-1067.72~18.04.1
5.4.0-1067.72~18.04.1
ubuntu/linux-ibm-5.4<5.17~
5.17~
ubuntu/linux-intel-5.13<5.17~
5.17~
ubuntu/linux-intel-iotg<5.15.0-1050.56
5.15.0-1050.56
ubuntu/linux-intel-iotg<5.17~
5.17~
ubuntu/linux-intel-iotg-5.15<5.15.0-1050.56~20.04.1
5.15.0-1050.56~20.04.1
ubuntu/linux-intel-iotg-5.15<5.17~
5.17~
ubuntu/linux-iot<5.4.0-1032.33
5.4.0-1032.33
ubuntu/linux-iot<5.17~
5.17~
ubuntu/linux-kvm<5.4.0-1108.115
5.4.0-1108.115
ubuntu/linux-kvm<5.15.0-1052.57
5.15.0-1052.57
ubuntu/linux-kvm<5.17~
5.17~
ubuntu/linux-laptop<5.17~
5.17~
ubuntu/linux-lowlatency<5.15.0-100.110
5.15.0-100.110
ubuntu/linux-lowlatency<5.17~
5.17~
ubuntu/linux-lowlatency-hwe-5.15<5.15.0-100.110~20.04.1
5.15.0-100.110~20.04.1
ubuntu/linux-lowlatency-hwe-5.15<5.17~
5.17~
ubuntu/linux-lowlatency-hwe-5.19<5.17~
5.17~
ubuntu/linux-lowlatency-hwe-6.5<5.17~
5.17~
ubuntu/linux-lts-xenial<5.17~
5.17~
ubuntu/linux-nvidia<5.15.0-1046.46
5.15.0-1046.46
ubuntu/linux-nvidia<5.17~
5.17~
ubuntu/linux-oem<5.17~
5.17~
ubuntu/linux-oem-5.10<5.17~
5.17~
ubuntu/linux-oem-5.14<5.17~
5.17~
ubuntu/linux-oem-5.17<5.17~
5.17~
ubuntu/linux-oem-5.6<5.17~
5.17~
ubuntu/linux-oem-6.0<5.17~
5.17~
ubuntu/linux-oem-6.1<5.17~
5.17~
ubuntu/linux-oem-6.5<5.17~
5.17~
ubuntu/linux-oem-osp1<5.17~
5.17~
ubuntu/linux-oracle<5.4.0-1119.128
5.4.0-1119.128
ubuntu/linux-oracle<5.15.0-1053.59
5.15.0-1053.59
ubuntu/linux-oracle<5.17~
5.17~
ubuntu/linux-oracle-5.0<5.17~
5.17~
ubuntu/linux-oracle-5.13<5.17~
5.17~
ubuntu/linux-oracle-5.15<5.15.0-1053.59~20.04.1
5.15.0-1053.59~20.04.1
ubuntu/linux-oracle-5.15<5.17~
5.17~
ubuntu/linux-oracle-5.4<5.4.0-1119.128~18.04.1
5.4.0-1119.128~18.04.1
ubuntu/linux-oracle-5.4<5.17~
5.17~
ubuntu/linux-raspi<5.4.0-1104.116
5.4.0-1104.116
ubuntu/linux-raspi<5.15.0-1048.51
5.15.0-1048.51
ubuntu/linux-raspi<5.17~
5.17~
ubuntu/linux-raspi-5.4<5.4.0-1104.116~18.04.1
5.4.0-1104.116~18.04.1
ubuntu/linux-raspi-5.4<5.17~
5.17~
ubuntu/linux-raspi2<5.17~
5.17~
ubuntu/linux-riscv<5.17~
5.17~
ubuntu/linux-riscv-5.15<5.15.0-1051.55~20.04.1
5.15.0-1051.55~20.04.1
ubuntu/linux-riscv-5.15<5.17~
5.17~
ubuntu/linux-riscv-6.5<5.17~
5.17~
ubuntu/linux-snapdragon<5.17~
5.17~
ubuntu/linux-starfive<5.17~
5.17~
ubuntu/linux-starfive-6.5<5.17~
5.17~
ubuntu/linux-xilinx-zynqmp<5.4.0-1039.43
5.4.0-1039.43
ubuntu/linux-xilinx-zynqmp<5.17~
5.17~
debian/linux<=5.10.209-2<=5.10.218-1
4.19.249-2
4.19.304-1
6.1.76-1
6.1.90-1
6.7.12-1
6.8.12-1

Never miss a vulnerability like this again

Sign up to SecAlerts for real-time vulnerability data matched to your software, aggregated from hundreds of sources.

Contact

SecAlerts Pty Ltd.
132 Wickham Terrace
Fortitude Valley,
QLD 4006, Australia
info@secalerts.co
By using SecAlerts services, you agree to our services end-user license agreement. This website is safeguarded by reCAPTCHA and governed by the Google Privacy Policy and Terms of Service. All names, logos, and brands of products are owned by their respective owners, and any usage of these names, logos, and brands for identification purposes only does not imply endorsement. If you possess any content that requires removal, please get in touch with us.
© 2024 SecAlerts Pty Ltd.
ABN: 70 645 966 203, ACN: 645 966 203